using APT.Infrastructure.Core;
using APT.Infrastructure.Utility;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("用户组表")]
    /// <summary>
    /// 用户组
    /// </summary> 
    [Redis("")]
	[IgnoreT4] public partial class T_FM_USER_GROUP: MesEntityBase
	{
		/// <summary>
		/// 构造函数
		/// </summary>
		public T_FM_USER_GROUP()
		{

		}
        [Description("编码")]
        /// <summary>
        /// 编码
        /// </summary>
        [CUnique]
		public string CODE { get; set; }
        [Description("名称")]
        /// <summary>
        /// 名称
        /// </summary>
        [AcronymField("NAME_ACRONYM")]
        public string NAME { get; set; }


        /// <summary>
        /// 名称首字母缩写
        /// </summary>
        [Description("名称首字母缩写")]
        public string NAME_ACRONYM { get; set; }

        /// <summary>
        /// FMEnableStatusEnum
        /// </summary>
        [Description("启用标志")]
		[EnumName("FMEnableStatusEnum")]
		public int ENABLE_STATUS { get; set; }

		[Description("备注")]
		public string REMARK { get; set; }
        [Description("导航：用户组所属角色")]
        public virtual ICollection<T_FM_USER_GROUP_BELONG_ROLE> Nav_BelongRoles { get; set; }
        [Description("导航：用户组所属角色组")]
        public virtual ICollection<T_FM_USER_GROUP_BELONG_R_G> Nav_BelongRoleGroups { get; set; }
        [Description("导航：用户组所属用户组")]
        public virtual ICollection<T_FM_USER_GROUP_BELONG_U_G> Nav_BelongUserGroups { get; set; }


	}
}
